Bug 442476 - WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost and WARNING: at net/ipv4/tcp_input.c:1771 tcp_enter_frto
WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost and WARNING: at net/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 20:38 EDT by Charles R. Anderson
Modified: 2008-04-26 23:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 23:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-04-14 20:38:21 EDT
Description of problem:

Kernel WARNINGs:

------------[ cut here ]------------
WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost+0x12d/0x135() (Not tainted)
Modules linked in: cifs nls_utf8 bridge bnep rfcomm l2cap bluetooth autofs4 fuse
sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT
xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables
x_tables dm_multipath radeon drm ipv6 snd_emu10k1_synth snd_emux_synth
snd_seq_virmidi snd_seq_midi_emul ppdev snd_emu10k1 snd_intel8x0 snd_seq_dummy
snd_seq_oss snd_rawmidi snd_ac97_codec snd_seq_midi_event parport_pc snd_seq
dcdbas ac97_bus parport snd_seq_device snd_pcm_oss snd_mixer_oss floppy snd_pcm
snd_util_mem i2c_i801 iTCO_wdt emu10k1_gp pcspkr tulip iTCO_vendor_support
snd_timer snd_hwdep i2c_core gameport sg snd soundcore snd_page_alloc tg3 button
sr_mod cdrom ata_generic ata_piix pata_acpi libata sd_mod scsi_mod
sha256_generic cbc aes_i586 aes_generic dm_crypt crypto_blkcipher dm_snapshot
dm_zero dm_mirror dm_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last
unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.25-0.204.rc8.git4.fc9.i686 #1
 [<c04271c9>] warn_on_slowpath+0x47/0x73
 [<c05da655>] ? ip_finish_output+0x1ec/0x224
 [<c05da70b>] ? ip_output+0x7e/0x83
 [<c05d997e>] ? ip_local_out+0x18/0x1b
 [<c05da10b>] ? ip_queue_xmit+0x2b6/0x2f6
 [<c042f3ca>] ? internal_add_timer+0x88/0x8c
 [<c042fc60>] ? __mod_timer+0xc1/0xcc
 [<c062c5da>] ? _spin_unlock_bh+0xe/0x10
 [<f8bf18a6>] ? __nf_ct_refresh_acct+0xbe/0xf6 [nf_conntrack]
 [<f8bf4ec4>] ? tcp_packet+0xa11/0xa3d [nf_conntrack]
 [<c05e2596>] tcp_mark_head_lost+0x12d/0x135
 [<c05e4b88>] tcp_ack+0x15c1/0x17fd
 [<c05e72fa>] tcp_rcv_established+0xdc/0xb12
 [<c05ed78c>] tcp_v4_do_rcv+0x29c/0x425
 [<c05edd74>] tcp_v4_rcv+0x45f/0x694
 [<c05d6504>] ip_local_deliver_finish+0xf2/0x1a3
 [<c05d6616>] ip_local_deliver+0x61/0x6a
 [<c05d61cc>] ip_rcv_finish+0x268/0x287
 [<c05d63e8>] ip_rcv+0x1fd/0x227
 [<c05ba6ce>] netif_receive_skb+0x36b/0x386
 [<f890e5a6>] tg3_poll+0x64b/0x8e9 [tg3]
 [<c041bcc5>] ? enqueue_task+0x4c/0x58
 [<c05b90f4>] net_rx_action+0xa6/0x1b2
 [<c042b879>] __do_softirq+0x79/0xe7
 [<c0407edf>] do_softirq+0x74/0xb5
 [<c045cc2f>] ? handle_fasteoi_irq+0x0/0xaf
 [<c042b681>] irq_exit+0x38/0x6b
 [<c0407fcc>] do_IRQ+0xac/0xc4
 [<c04066eb>] common_interrupt+0x23/0x28
 [<c043007b>] ? switch_uid+0x15/0x6a
 [<c0418c8b>] ? native_safe_halt+0x5/0x7
 [<c0404cf3>] default_idle+0x46/0x7f
 [<c0404cad>] ? default_idle+0x0/0x7f
 [<c0404c8d>] cpu_idle+0xbd/0xdd
 [<c061d541>] rest_init+0x49/0x4b
 =======================
---[ end trace 56a59f3aaeed95a7 ]---
------------[ cut here ]------------
WARNING: at net/ipv4/tcp_input.c:1771 tcp_enter_frto+0x150/0x1ec() (Not tainted)
Modules linked in: cifs nls_utf8 bridge bnep rfcomm l2cap bluetooth autofs4 fuse
sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT
xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables
x_tables dm_multipath radeon drm ipv6 snd_emu10k1_synth snd_emux_synth
snd_seq_virmidi snd_seq_midi_emul ppdev snd_emu10k1 snd_intel8x0 snd_seq_dummy
snd_seq_oss snd_rawmidi snd_ac97_codec snd_seq_midi_event parport_pc snd_seq
dcdbas ac97_bus parport snd_seq_device snd_pcm_oss snd_mixer_oss floppy snd_pcm
snd_util_mem i2c_i801 iTCO_wdt emu10k1_gp pcspkr tulip iTCO_vendor_support
snd_timer snd_hwdep i2c_core gameport sg snd soundcore snd_page_alloc tg3 button
sr_mod cdrom ata_generic ata_piix pata_acpi libata sd_mod scsi_mod
sha256_generic cbc aes_i586 aes_generic dm_crypt crypto_blkcipher dm_snapshot
dm_zero dm_mirror dm_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last
unloaded: microcode]
Pid: 20231, comm: firefox Not tainted 2.6.25-0.204.rc8.git4.fc9.i686 #1
 [<c04271c9>] warn_on_slowpath+0x47/0x73
 [<c05d6504>] ? ip_local_deliver_finish+0xf2/0x1a3
 [<c05d6616>] ? ip_local_deliver+0x61/0x6a
 [<c041cdf3>] ? __enqueue_entity+0xe3/0xeb
 [<c041e46a>] ? enqueue_entity+0x1a4/0x1c4
 [<c041e4c5>] ? enqueue_task_fair+0x3b/0x3f
 [<c041bcc5>] ? enqueue_task+0x4c/0x58
 [<c041fe97>] ? try_to_wake_up+0x193/0x19d
 [<c05e297a>] tcp_enter_frto+0x150/0x1ec
 [<c05ebc38>] tcp_write_timer+0x3c4/0x5bc
 [<c042f5a7>] run_timer_softirq+0x141/0x1a7
 [<c05eb874>] ? tcp_write_timer+0x0/0x5bc
 [<c05eb874>] ? tcp_write_timer+0x0/0x5bc
 [<c042b879>] __do_softirq+0x79/0xe7
 [<c0407edf>] do_softirq+0x74/0xb5
 [<c042b681>] irq_exit+0x38/0x6b
 [<c0414751>] smp_apic_timer_interrupt+0x6e/0x7c
 [<c04067a8>] apic_timer_interrupt+0x28/0x30
 [<c0405cb4>] ? system_call+0x0/0x3b
 =======================
---[ end trace 56a59f3aaeed95a7 ]---
------------[ cut here ]------------
WARNING: at net/ipv4/tcp_input.c:2173 tcp_mark_head_lost+0x12d/0x135() (Not tainted)
Modules linked in: cifs nls_utf8 bridge bnep rfcomm l2cap bluetooth autofs4 fuse
sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT
xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables
x_tables dm_multipath radeon drm ipv6 snd_emu10k1_synth snd_emux_synth
snd_seq_virmidi snd_seq_midi_emul ppdev snd_emu10k1 snd_intel8x0 snd_seq_dummy
snd_seq_oss snd_rawmidi snd_ac97_codec snd_seq_midi_event parport_pc snd_seq
dcdbas ac97_bus parport snd_seq_device snd_pcm_oss snd_mixer_oss floppy snd_pcm
snd_util_mem i2c_i801 iTCO_wdt emu10k1_gp pcspkr tulip iTCO_vendor_support
snd_timer snd_hwdep i2c_core gameport sg snd soundcore snd_page_alloc tg3 button
sr_mod cdrom ata_generic ata_piix pata_acpi libata sd_mod scsi_mod
sha256_generic cbc aes_i586 aes_generic dm_crypt crypto_blkcipher dm_snapshot
dm_zero dm_mirror dm_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last
unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.25-0.204.rc8.git4.fc9.i686 #1
 [<c04271c9>] warn_on_slowpath+0x47/0x73
 [<c05da655>] ? ip_finish_output+0x1ec/0x224
 [<c05da70b>] ? ip_output+0x7e/0x83
 [<c05d997e>] ? ip_local_out+0x18/0x1b
 [<c05da10b>] ? ip_queue_xmit+0x2b6/0x2f6
 [<c05e8b54>] ? tcp_transmit_skb+0x69b/0x6d1
 [<c041cdf3>] ? __enqueue_entity+0xe3/0xeb
 [<c062c5da>] ? _spin_unlock_bh+0xe/0x10
 [<f8bf18a6>] ? __nf_ct_refresh_acct+0xbe/0xf6 [nf_conntrack]
 [<f8bf4ec4>] ? tcp_packet+0xa11/0xa3d [nf_conntrack]
 [<c05e2596>] tcp_mark_head_lost+0x12d/0x135
 [<c05e4b88>] tcp_ack+0x15c1/0x17fd
 [<c05e72fa>] tcp_rcv_established+0xdc/0xb12
 [<c05ed78c>] tcp_v4_do_rcv+0x29c/0x425
 [<c05edd74>] tcp_v4_rcv+0x45f/0x694
 [<c05d6504>] ip_local_deliver_finish+0xf2/0x1a3
 [<c05d6616>] ip_local_deliver+0x61/0x6a
 [<c05d61cc>] ip_rcv_finish+0x268/0x287
 [<c05d63e8>] ip_rcv+0x1fd/0x227
 [<c05ba6ce>] netif_receive_skb+0x36b/0x386
 [<f890e5a6>] tg3_poll+0x64b/0x8e9 [tg3]
 [<c05b90f4>] net_rx_action+0xa6/0x1b2
 [<c042b879>] __do_softirq+0x79/0xe7
 [<c0407edf>] do_softirq+0x74/0xb5
 [<c045cc2f>] ? handle_fasteoi_irq+0x0/0xaf
 [<c042b681>] irq_exit+0x38/0x6b
 [<c0407fcc>] do_IRQ+0xac/0xc4
 [<c04066eb>] common_interrupt+0x23/0x28
 [<c043007b>] ? switch_uid+0x15/0x6a
 [<c0418c8b>] ? native_safe_halt+0x5/0x7
 [<c0404cf3>] default_idle+0x46/0x7f
 [<c0404cad>] ? default_idle+0x0/0x7f
 [<c0404c8d>] cpu_idle+0xbd/0xdd
 [<c061d541>] rest_init+0x49/0x4b
 =======================
---[ end trace 56a59f3aaeed95a7 ]---
------------[ cut here ]------------
WARNING: at net/ipv4/tcp_input.c:1771 tcp_enter_frto+0x150/0x1ec() (Not tainted)
Modules linked in: cifs nls_utf8 bridge bnep rfcomm l2cap bluetooth autofs4 fuse
sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT
xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables
x_tables dm_multipath radeon drm ipv6 snd_emu10k1_synth snd_emux_synth
snd_seq_virmidi snd_seq_midi_emul ppdev snd_emu10k1 snd_intel8x0 snd_seq_dummy
snd_seq_oss snd_rawmidi snd_ac97_codec snd_seq_midi_event parport_pc snd_seq
dcdbas ac97_bus parport snd_seq_device snd_pcm_oss snd_mixer_oss floppy snd_pcm
snd_util_mem i2c_i801 iTCO_wdt emu10k1_gp pcspkr tulip iTCO_vendor_support
snd_timer snd_hwdep i2c_core gameport sg snd soundcore snd_page_alloc tg3 button
sr_mod cdrom ata_generic ata_piix pata_acpi libata sd_mod scsi_mod
sha256_generic cbc aes_i586 aes_generic dm_crypt crypto_blkcipher dm_snapshot
dm_zero dm_mirror dm_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last
unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.25-0.204.rc8.git4.fc9.i686 #1
 [<c04271c9>] warn_on_slowpath+0x47/0x73
 [<c05d6504>] ? ip_local_deliver_finish+0xf2/0x1a3
 [<c05d6616>] ? ip_local_deliver+0x61/0x6a
 [<c05d61cc>] ? ip_rcv_finish+0x268/0x287
 [<c05b5a50>] ? skb_release_data+0x8e/0x92
 [<c05b5a50>] ? skb_release_data+0x8e/0x92
 [<c05b5865>] ? __kfree_skb+0x63/0x66
 [<c042f3ca>] ? internal_add_timer+0x88/0x8c
 [<c042fc60>] ? __mod_timer+0xc1/0xcc
 [<c05e297a>] tcp_enter_frto+0x150/0x1ec
 [<c05ebc38>] tcp_write_timer+0x3c4/0x5bc
 [<c042f5a7>] run_timer_softirq+0x141/0x1a7
 [<c05eb874>] ? tcp_write_timer+0x0/0x5bc
 [<c05eb874>] ? tcp_write_timer+0x0/0x5bc
 [<c042b879>] __do_softirq+0x79/0xe7
 [<c0407edf>] do_softirq+0x74/0xb5
 [<c042b681>] irq_exit+0x38/0x6b
 [<c0414751>] smp_apic_timer_interrupt+0x6e/0x7c
 [<c04067a8>] apic_timer_interrupt+0x28/0x30
 [<c043007b>] ? switch_uid+0x15/0x6a
 [<c0418c8b>] ? native_safe_halt+0x5/0x7
 [<c0404cf3>] default_idle+0x46/0x7f
 [<c0404cad>] ? default_idle+0x0/0x7f
 [<c0404c8d>] cpu_idle+0xbd/0xdd
 [<c061d541>] rest_init+0x49/0x4b
 =======================

Version-Release number of selected component (if applicable):
2.6.25-0.204.rc8.git4.fc9.i686

How reproducible:
didn't try
Comment 1 Chuck Ebbert 2008-04-18 01:10:21 EDT
This should be fixed in 2.6.25-release
Comment 2 Chuck Ebbert 2008-04-18 13:13:37 EDT
Are you using the default congestion control (cubic) or did you change to reno?
Comment 3 Charles R. Anderson 2008-04-18 13:17:39 EDT
I haven't made any changes... this was a fresh rawhide install as of 4/7/2008. 
I'm running 2.6.25-0.218.fc8.git7.fc9.i686 right now.  Is that new enough to
have the fix?  I haven't seen the issue at all in this version which has been
running for almost 2 days.
Comment 4 Chuck Ebbert 2008-04-26 23:43:07 EDT
This should be fixed in 2.6.25-final. Reopen this bug if it happens again.

Note You need to log in before you can comment on or make changes to this bug.